#include <View.h>
#include <CheckBox.h>
#include <Invoker.h>
#include "libprefs.h"
#include "TSlider.h"

class Prefs
{
public:
	Prefs(int d=20,int n=10,int ms=1,int r=2,bool p=false)
	{
		depth=d;
		noise=n;
		max_shift=ms;
		repeats=r;
		preview=p;
	}
	int depth;
	int noise;
	int max_shift;
	int repeats;
	bool preview;
};

class ConfigView : public BView
{
public:
	ConfigView(BRect frame, const char *name, uint32 resize, uint32 flags);
	void AttachedToWindow(void);
	void MessageReceived(BMessage *msg);

	TSlider *mDepth,*mNoise,*mShift,*mRepeats;
	BInvoker *mPreviewInvoker;
	BCheckBox *mLivePreview;	
};

void LoadPrefs(Prefs* thePrefs);
void PrefsFromMessage(Prefs* thePrefs, BMessage* msg, BInvoker** progress);
